package com.loit.api.service.loituser;

import com.loit.api.config.MultipartSupportConfig;
import com.loit.common.json.AjaxJson;
import feign.Response;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

/**
 * @Description: 文件操作Feign声明
 * @Author: yangwenbin
 * @Date: 2020/5/13 13:21
 */
@FeignClient(name = "loit-file",configuration = MultipartSupportConfig.class)
public interface FileApiService {

    /**
     * @desc 单文件上传
     */
    @PostMapping(value = "/api/file/upload",  consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public AjaxJson fileUpload(@RequestPart(value = "file", required = true) MultipartFile file);

    /**
     * @desc 多文件上传
     */
    @PostMapping(value = "/api/uploadFiles",consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public AjaxJson fileUpload(@RequestParam(value = "file", required = true) MultipartFile[] file);
    /**
     * @desc 文件下载
     */
    @GetMapping(value="/api/file/download",consumes = MediaType.APPLICATION_JSON_UTF8_VALUE)
    public Response downloadFile(@RequestParam("filePath")String filePath);

    /**
     * @desc 删除文件
     */
    @GetMapping(value="/api/file/delete")
    public AjaxJson deleteFile(@RequestParam("filePath")String filePath);



}
