package com.loit.api.service;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import com.loit.common.json.AjaxJson;

import java.util.List;

/**  
* @ClassName: PersonApiService  
* @Description:   
* @author zhaokz  
* @date 2019年11月28日 下午6:49:52 
* @version V1.0  
*/

@FeignClient(name = "loit-getway")
public interface OnlineUserCountApiService {

	/**
	 * 登录，设置用户在线时间
	 * @return
	 */
	@GetMapping(value = "/online/user/save")
	void saveOnline(@RequestParam(value = "userId", required = true) String userId);

	/**
	 * 登出，删除在线用户信息
	 * @return
	 */
	@GetMapping(value = "/online/user/delete")
	void deleteOnline(@RequestParam(value = "userId", required = true) String userId);

	/**
	 * 获取在线用户数量
	 * @return
	 */
	@GetMapping(value = "/online/user/count")
	AjaxJson<Long> onlineUserCount();

	/**
	 * 获取在线用户列表
	 * @return
	 */
	@GetMapping(value = "/online/user/list")
	AjaxJson<List<String>> onlineUserList();
	 
}
