package com.loit.api.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 消息表数据对象.
 * Created by WBJ on 2020-04-23.
 **/
@ApiModel(value = "Message", description = "消息表对象")
public class Message implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * 消息id
	 */
	@ApiModelProperty(value = "消息id")
	private Integer id;

	/**
	 * 消息类型
	 */
	@ApiModelProperty(value = "消息类型")
	private String noticeType;

	/**
	 * 消息标题
	 */
	@ApiModelProperty(value = "消息标题")
	private String noticeTopic;

	/**
	 * 消息内容
	 */
	@ApiModelProperty(value = "消息内容")
	private String noticeContent;

	/**
	 * 消息来源
	 */
	@ApiModelProperty(value = "消息来源")
	private String noticeSource;

	/**
	 * 发送人
	 */
	@ApiModelProperty(value = "发送人")
	private String sendId;

	/**
	 * 发送人名称
	 */
	@ApiModelProperty(value = "发送人名称")
	private String sendName;

	/**
	 * 紧急程度（1一般，2紧急）
	 */
	@ApiModelProperty(value = "紧急程度（1一般，2紧急）")
	private String noticeLevel;

	/**
	 * 广播消息标记
	 */
	@ApiModelProperty(value = "广播消息标记")
	private String allFlag;

	/**
	 * url
	 */
	@ApiModelProperty(value = "url")
	private String urlName;

	/**
	 * 按钮
	 */
	@ApiModelProperty(value = "按钮")
	private String buttonName;

	/**
	 * 接收人list
	 */
	@ApiModelProperty(value = "接收人list")
	private String receiveIds;

	/**
	 * 消息ids
	 */
	@ApiModelProperty(value = "消息ids")
	private String noticeIds;

	/**
	 * 状态（未读0，已读1）
	 */
	private String noticeStatus;

	/**
	 * 接收人
	 */
	private String receiveId;

	/**
	 * 消息类型name
	 */
	@ApiModelProperty(value = "消息类型name")
	private String noticeTypeName;

	/**
	 * 消息来源name
	 */
	@ApiModelProperty(value = "消息来源name")
	private String noticeSourceName;

	@ApiModelProperty(value = "开始时间")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeStart;

	@ApiModelProperty(value = "结束日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08")
	private Date createTimeEnd;

	/**
	 *排序字段名
	 */
	@ApiModelProperty(value = "排序字段名")
	private String  orderByName;
	/**
	 *排序类型
	 */
	@ApiModelProperty(value = "排序类型  asc/desc")
	private  String  orderBy;

	@ApiModelProperty(value = "app_id")
	private Integer appId;

	@ApiModelProperty(value = "resource_url")
	private String resourceUrl;

	@ApiModelProperty(value = "menu_name")
	private String menuName;

	@ApiModelProperty(value = "res_context_value")
	private String resContextValue;

	@ApiModelProperty(value = "entrance_url")
	private String entranceUrl;

	@ApiModelProperty(value = "entrance_name")
	private String entranceName;

	@ApiModelProperty(value = "menu_context_value")
	private String menuContextValue;

	@ApiModelProperty(value = "children")
	private List children;

	@ApiModelProperty(value = "通知管理id")
	private Integer noticeTypeId;

	public Message() {
	}


	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setNoticeType(String noticeType){
		this.noticeType = noticeType;
	}

	public String getNoticeType(){
		return this.noticeType;
	}

	public void setNoticeTopic(String noticeTopic){
		this.noticeTopic = noticeTopic;
	}

	public String getNoticeTopic(){
		return this.noticeTopic;
	}

	public void setNoticeContent(String noticeContent){
		this.noticeContent = noticeContent;
	}

	public String getNoticeContent(){
		return this.noticeContent;
	}

	public void setNoticeSource(String noticeSource){
		this.noticeSource = noticeSource;
	}

	public String getNoticeSource(){
		return this.noticeSource;
	}

	public void setNoticeLevel(String noticeLevel){
		this.noticeLevel = noticeLevel;
	}

	public String getNoticeLevel(){
		return this.noticeLevel;
	}

	public void setAllFlag(String allFlag){
		this.allFlag = allFlag;
	}

	public String getAllFlag(){
		return this.allFlag;
	}

	public String getNoticeSourceName() {
		return noticeSourceName;
	}

	public void setNoticeSourceName(String noticeSourceName) {
		this.noticeSourceName = noticeSourceName;
	}

	public String getNoticeTypeName() {
		return noticeTypeName;
	}

	public void setNoticeTypeName(String noticeTypeName) {
		this.noticeTypeName = noticeTypeName;
	}

	public String getNoticeStatus() {
		return noticeStatus;
	}

	public void setNoticeStatus(String noticeStatus) {
		this.noticeStatus = noticeStatus;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public String getNoticeIds() {
		return noticeIds;
	}

	public void setNoticeIds(String noticeIds) {
		this.noticeIds = noticeIds;
	}

	public String getOrderByName() {
		return orderByName;
	}

	public void setOrderByName(String orderByName) {
		this.orderByName = orderByName;
	}

	public String getOrderBy() {
		return orderBy;
	}

	public void setOrderBy(String orderBy) {
		this.orderBy = orderBy;
	}

	public String getSendId() {
		return sendId;
	}

	public String getSendName() {
		return sendName;
	}

	public void setSendName(String sendName) {
		this.sendName = sendName;
	}

	public void setSendId(String sendId) {
		this.sendId = sendId;
	}

	public String getReceiveIds() {
		return receiveIds;
	}

	public void setReceiveIds(String receiveIds) {
		this.receiveIds = receiveIds;
	}

	public String getReceiveId() {
		return receiveId;
	}

	public void setReceiveId(String receiveId) {
		this.receiveId = receiveId;
	}

	public String getUrlName() {
		return urlName;
	}

	public void setUrlName(String urlName) {
		this.urlName = urlName;
	}

	public String getButtonName() {
		return buttonName;
	}

	public void setButtonName(String buttonName) {
		this.buttonName = buttonName;
	}

	public void setAppId(Integer appId){
		this.appId = appId;
	}

	public Integer getAppId(){
		return this.appId;
	}

	public void setResourceUrl(String resourceUrl){
		this.resourceUrl = resourceUrl;
	}

	public String getResourceUrl(){
		return this.resourceUrl;
	}

	public void setMenuName(String menuName){
		this.menuName = menuName;
	}

	public String getMenuName(){
		return this.menuName;
	}

	public void setResContextValue(String resContextValue){
		this.resContextValue = resContextValue;
	}

	public String getResContextValue(){
		return this.resContextValue;
	}

	public void setEntranceUrl(String entranceUrl){
		this.entranceUrl = entranceUrl;
	}

	public String getEntranceUrl(){
		return this.entranceUrl;
	}

	public void setEntranceName(String entranceName){
		this.entranceName = entranceName;
	}

	public String getEntranceName(){
		return this.entranceName;
	}

	public void setMenuContextValue(String menuContextValue){
		this.menuContextValue = menuContextValue;
	}

	public String getMenuContextValue(){
		return this.menuContextValue;
	}

	public List getChildren() {
		return children;
	}

	public void setChildren(List children) {
		this.children = children;
	}

	public Integer getNoticeTypeId() {
		return noticeTypeId;
	}

	public void setNoticeTypeId(Integer noticeTypeId) {
		this.noticeTypeId = noticeTypeId;
	}
}
