package com.loit.api.service;

import com.loit.api.dto.Message;
import com.loit.common.json.AjaxJson;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @description: NoticeApiService
 * @date: 2020/4/26 14:37
 * @author: wubj
 * @version v1.0
 */
@FeignClient(name = "loit-notice")
public interface MessageApiService {

	/**
	 * 消息推送
	 */
	@ApiOperation(value = "消息推送", notes = "消息推送")
	@PostMapping("api/v1/feign/message/propel")
	AjaxJson propel(@RequestBody Message message);

	/**
	 * 标记消息为已读
	 */
	@ApiOperation(value = "标记消息为已读", notes = "标记消息为已读")
	@PostMapping("api/v1/feign/message/updateStatus")
	AjaxJson updateStatus(@RequestBody Message message);

}
