package com.loit.Proxy;

import com.loit.common.json.AjaxJson;
import com.loit.common.utils.LoitStatusCode;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.lang.reflect.InvocationHandler;
import java.lang.reflect.Method;

/**
 * 动态代理，需要注意的是，这里用到的是JDK自带的动态代理，代理对象只能是接口，不能是类
 *
 * @author Demon add by 2020-05-28
 */
 
public class ApiProxyHandler<T> implements InvocationHandler {
 
    private Class<T> interfaceType;
 
    public ApiProxyHandler(Class<T> intefaceType) {
        this.interfaceType = interfaceType;
    }
 
    @Override
    public Object invoke(Object proxy, Method method, Object[] args) {
        Logger logger = LoggerFactory.getLogger(method.getDeclaringClass());
        AjaxJson json = new AjaxJson();
        logger.info("服务未在线。");
        json.setMsg("服务未在线，请稍后重试。");
        json.setSuccess(false);
        json.setCode(LoitStatusCode.FAIL.statusCode);
        return json;
    }
}
