/**
 * Copyright &copy; 2015-2020 isaac All rights reserved.
 */
package com.loit.api.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.xml.bind.annotation.XmlAttribute;

/**
 * 系统字典数据项实体
 * @author xutao
 * @date  2019-10-17
 */
@ApiModel(value="DictData", description = "系统字典数据项实体")
public class DictData  {

	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name = "dataId", value = "数据项ID", example = "1")
	private Integer dataId;
	@ApiModelProperty(name = "dataCode", value = "数据项编码", required = true, example = "0")
	private String dataCode;
	@ApiModelProperty(name = "dataName", value = "数据项名称", required = true, example = "汉族")
	private String dataName;
	@ApiModelProperty(name = "dataDesc", value = "数据项描述", example = "汉族")
	private String dataDesc;
	@ApiModelProperty(name = "serialIndex", value = "排序号", example = "1")
	private Integer serialIndex;
	@ApiModelProperty(name = "dictId", required = true, value = "数据字典ID")
	private Integer dictId;
	
	public DictData() {
		super();
	}

	public DictData(String dataCode, String dataName){
		this.dataCode = dataCode;
		this.dataName = dataName;
	}
	public Integer getDataId() {
		return dataId;
	}

	public void setDataId(Integer dataId) {
		this.dataId = dataId;
	}
	@XmlAttribute
	public String getDataCode() {
		return dataCode;
	}

	public void setDataCode(String dataCode) {
		this.dataCode = dataCode;
	}
	@XmlAttribute
	public String getDataName() {
		return dataName;
	}

	public void setDataName(String dataName) {
		this.dataName = dataName;
	}
	@XmlAttribute
	public String getDataDesc() {
		return dataDesc;
	}

	public void setDataDesc(String dataDesc) {
		this.dataDesc = dataDesc;
	}
	public Integer getSerialIndex() {
		return serialIndex;
	}

	public void setSerialIndex(Integer serialIndex) {
		this.serialIndex = serialIndex;
	}
	public Integer getDictId() {
		return dictId;
	}

	public void setDictId(Integer dictId) {
		this.dictId = dictId;
	}
}