package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**  
* @ClassName: ActRightController  
* @Description:   
* @author zhaokz  
* @date 2019年10月28日 下午3:56:15 
* @version V1.0  
*/

@FeignClient(name = "loit-portal")
public interface ActRightApiService {

	@ApiOperation(value = "根据菜单ID获取当前用户对本资源的操作权限", notes = "根据菜单ID获取当前用户对本资源的操作权限")
	@ApiImplicitParams({
		@ApiImplicitParam(name = "menuId", value = "菜单ID", required = true, dataType = "String", paramType = "query")
	})
	@GetMapping(value = "api/v1/feign/actRight/getActRightByMenuId")
	public AjaxJson getActRightByMenuId(@RequestParam(value = "menuId", required = true) Integer menuId);

}
