package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;


/**
 * @description 组织
 * @author liwl
 * @date 2020年8月24日
 */
@FeignClient(name = "loit-portal")
public interface ApplicationManagerApiService {


    /**
     * @description 根据AppCode获取ApplicationManage
     * @author liwl
     * @date：2020年8月24日
     * @return
     */
    @GetMapping(value = "api/v1/feign/applicationManage/getByAppCode")
    @ApiOperation(value = "根据AppCode获取ApplicationManage", notes = "根据AppCode获取ApplicationManage")
    @ApiImplicitParam(name = "appCode", value = "应用编码", required = true, dataType = "String", paramType = "query")
    public AjaxJson getByAppCode(@RequestParam(value = "appCode", required = true) String appCode);


}
