package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(name = "loit-portal")
public interface AreaCodeApiService {

    @ApiOperation(value = "行政区域列表-根据父id", notes = "行政区域列表-根据父id")
    @ApiImplicitParam(name = "pcode", value = "父id", required = true, dataType = "String",paramType = "query")
    @GetMapping(value = "api/v1/feign/area/areaList")
    public AjaxJson areaCodeList(@RequestParam(value = "pcode", required = true) Long pcode);

    @ApiOperation(value = "行政区域树-根据父id", notes = "行政区域树-根据父id")
    @ApiImplicitParam(name = "pcode", value = "id", required = true, dataType = "String",paramType = "query")
    @GetMapping(value = "api/v1/feign/area/areaList/tree")
    public AjaxJson areaCodeListTree(@RequestParam(value = "pcode", required = true) Long pcode);
}
