package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;


/**
 * @description 颜色
 * @author liwl
 * @date 2020年8月24日
 */
@FeignClient(name = "loit-portal")
public interface ColourApiService {


    /**
     * @description 根据DictCode和DataCode获取颜色
     * @author liwl
     * @date：2020年8月24日
     * @return
     */
    @GetMapping(value = "api/v1/feign/colour/findByDictCodeAndDataCode")
    @ApiOperation(value = "根据DictCode和DataCode获取颜色", notes = "根据DictCode和DataCode获取颜色")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "dictCode", value = "字典编码", required = true, dataType = "String", paramType = "query"),
            @ApiImplicitParam(name = "dataCode", value = "数据项编码", required = true, dataType = "String", paramType = "query")
    })
    public AjaxJson findByDictCodeAndDataCode(@RequestParam(value = "dictCode", required = true) String dictCode,@RequestParam(value = "dataCode", required = true) String dataCode);
}
