package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

/**
 * @description 字典controller
 * @author: gzx
 * @date: 2019年11月4日 上午9:40:29
 * @version: V1.0
 */
@FeignClient(name = "loit-portal")
public interface DictApiService {
	/**
	 * @description 系统字典分页列表
	 * @author xutao
	 * @date：2019年10月18日
	 * @return
	 */
	@RequestMapping(value = "api/v1/feign/dict/list",method = RequestMethod.GET)
	public AjaxJson list(
			@RequestParam(value = "pageNo", required = true) Integer pageNo,
			@RequestParam(value = "pageSize", required = true) Integer pageSize,
			@RequestParam(value = "dictCode", required = false)String dictCode,
			@RequestParam(value = "dictName", required = false)String dictName,
			@RequestParam(value = "baseFlag", required = false)String baseFlag);


	/**
	 * @description 系统字典详情
	 * @author xutao
	 * @date：2019年10月18日
	 * @return
	 */
	@GetMapping(value = "api/v1/feign/dict/{dictId}")
	public AjaxJson get(@PathVariable(required=true) String dictId);


	/**
	 * @description 检查字典名称是否重复
	 * @param dictId
	 * @param dictName
	 * @return
	 */
	@GetMapping(value = "api/v1/feign/dict/checkDictNameUnique")
	public AjaxJson checkDictNameUnique(
			@RequestParam(value = "dictId", required = false) Integer dictId,
			@RequestParam(value = "dictName", required = true) String dictName);
}
