package com.loit.api.service;

import com.loit.common.json.AjaxJson;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.Map;

/**
 * @description: websocket消息推送
 * @date: 2020/5/7 10:16
 * @author: wubj
 * @version v1.0
 */
@FeignClient(name = "loit-portal")
public interface JPushApiService {

	/**
	 * 极光推送
	 * Map<String, String> map {"userIds":"", "message":""}）
	 * @return
	 */
	@PostMapping(value = "api/v1/feign/jPush/pushAndroid")
	AjaxJson pushAndroid(@RequestBody Map<String, String> map);
}
