package com.loit;

import com.loit.common.spring.timeloit.utils.LogUtil;
import com.loit.loitcasclient.utils.ClientSpringContextUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.bind.annotation.RestController;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


@SpringBootApplication
@ServletComponentScan
@EnableDiscoveryClient
@EnableFeignClients
@RestController
@EnableSwagger2
@EnableScheduling
public class NoticeApplication {

    public static void main(String[] args) {
        long startTime = System.currentTimeMillis();
        ConfigurableApplicationContext context = SpringApplication.run(NoticeApplication.class, args);
        ClientSpringContextUtil.setApplicationContext(context);
        long endTime = System.currentTimeMillis();
        float excTime = (float) (endTime - startTime) / 1000;
        System.out.println(LogUtil.print("loit-notice项目启动成功，执行用时：" + excTime + "秒"));
    }

}
