package com.loit.v1.api.controller.open;

import com.loit.common.annotation.BeforeAuditAnnotation;
import com.loit.common.json.AjaxJson;
import com.loit.v1.modules.entity.Message;
import com.loit.v1.modules.service.MessageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * 消息管理接口
 * Created by WBJ on 2020-04-23.
 **/
@RestController                                                                                                                              
@RequestMapping(value = "api/v1/open/message")
@Api(tags = "Open 消息管理",  value = "OpenMessageController")
public class OpenMessageController {
                                                                                                                                             
	/**                                                                                                                                      
	 * 日志工具                                                                                                                              
	 */                                                                                                                                      
	private Logger logger = LoggerFactory.getLogger(this.getClass());                                                                        
	                                                                                                                                         
	@Autowired                                                                                                                               
	private MessageService messageService;

	/**
	 * 消息推送
	 */
	@ApiOperation(value = "消息推送", notes = "消息推送")
	@PostMapping("/propel")
	public AjaxJson propel(@RequestBody Message notice) {
		AjaxJson json = new AjaxJson();
		try {
			messageService.propel(notice);
			json.setMsg("推送成功");
		} catch (Exception e) {
			e.printStackTrace();
			return AjaxJson.returnExceptionInfo("推送异常");
		}
		return json;
	}
}                                                                                                                                            
