package com.loit.v1.modules.config;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.websocket.*;
import java.net.URI;

/**
 * @description: WebSocketClient
 * @date: 2020/5/13 15:26
 * @author: wubj
 * @version v1.0
 */
@ClientEndpoint
public class WebSocketClient {

    private static Logger logger = LoggerFactory.getLogger(WebSocketClient.class);

    @OnOpen
    public void open(Session session){
        logger.info("Client WebSocket is opening...");
        this.session = session;
    }

    @OnMessage
    public void onMessage(String message){
        logger.info("Server send message: " + message);
    }

    @OnClose
    public void onClose(){
        logger.info("Websocket closed");
    }

    public Session session;

    public void start(String uri) {
        WebSocketContainer container = null;
        try {
            container = ContainerProvider.getWebSocketContainer();
            URI r = URI.create(uri);
            session = container.connectToServer(WebSocketClient.class, r);
        } catch (Exception e) {
            logger.error("WebSocketClient连接异常: ", e);
        }
    }
}
