package com.loit.v1.modules.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.Message;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 消息表数据层数据库操作接口类.
 * Created by WBJ on 2020-04-23.
 **/
@Mapper
public interface MessageDao extends CrudDao<Message> {

    /**
     * 获取近期消息ids
     * @return
     */
    List<Long> getRecentNoticeIds();

    /**
     * 根据ids删除数据
     */
    void deleteByIds(List<Long> list);

    /**
     * 根据ids获取消息信息
     * @param list
     * @return
     */
    List<Message> findListByIds(List<Long> list);

    /**
     * 根据接收人ids获取消息
     * @param list
     * @return
     */
    List<Message> findListByReceiveIds(List<String> list);

    Long findIdByNoticeTypeId(Integer noticeTypeId);
}