package com.loit.v1.modules.dao;

import com.loit.common.persistence.CrudDao;
import com.loit.v1.modules.entity.MessageReceive;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;


/**
 * 消息接收表数据层数据库操作接口类.
 * Created by YZB on 2020-04-23.
 **/
@Mapper
public interface MessageReceiveDao extends CrudDao<MessageReceive> {

    /**
     * 标记消息为已读
     * @param list
     */
    void updateStatus(String receiveId, List<Long> list);

    /**
     * 获取接收人未读消息数量
     * @param receiveUser
     * @return
     */
    int getUnreadCount(String receiveUser);

    /**
     * 获取近期消息ids
     * @return
     */
    List<Long> getRecentNoticeIds();

    /**
     * 根据ids删除数据
     */
    void deleteByIds(List<Long> list);

    /**
     * 根据noticeIds删除数据
     */
    void deleteByNoticeIds(List<Long> list);

    /**
     * 批量插入
     * @param list
     */
    void insertBatch(List<MessageReceive> list);
}