package com.loit.v1.modules.entity;

import com.loit.common.persistence.DataEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;


/**
 * 消息接收表数据对象.
 * Created by WBJ on 2020-04-23.
 **/
@ApiModel(value = "MessageReceive", description = "消息接收表对象")
public class MessageReceive extends DataEntity<MessageReceive> implements Serializable {

	/**
	 * 主id
	 */
	@ApiModelProperty(value = "主id")
	private Integer id;

	/**
	 * 消息id
	 */
	@ApiModelProperty(value = "消息id")
	private Integer noticeId;

	/**
	 * 接收人
	 */
	@ApiModelProperty(value = "接收人")
	private String receiveId;

	/**
	 * 状态（0未读，1已读）
	 */
	@ApiModelProperty(value = "状态（0未读，1已读）")
	private String noticeStatus;

	/**
	 * 创建时间
	 */
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	/**
	 * 处理状态（0未处理，1已处理）
	 */
	@ApiModelProperty(value = "处理状态（0未处理，1已处理）")
	private String handleStatus;

	@ApiModelProperty(value = "接收人姓名")
	private String receiveName;

	@ApiModelProperty(value = "部门名称")
	private String orgName;

	/**
	 * 消息ids
	 */
	@ApiModelProperty(value = "消息ids")
	private String noticeIds;

	public void setId(Integer id){
		this.id = id;
	}

	public Integer getId(){
		return this.id;
	}

	public void setNoticeId(Integer noticeId){
		this.noticeId = noticeId;
	}

	public Integer getNoticeId(){
		return this.noticeId;
	}

	public void setNoticeStatus(String noticeStatus){
		this.noticeStatus = noticeStatus;
	}

	public String getNoticeStatus(){
		return this.noticeStatus;
	}

	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	public Date getCreateTime(){
		return this.createTime;
	}

	public void setHandleStatus(String handleStatus){
		this.handleStatus = handleStatus;
	}

	public String getHandleStatus(){
		return this.handleStatus;
	}

	public String getNoticeIds() {
		return noticeIds;
	}

	public void setNoticeIds(String noticeIds) {
		this.noticeIds = noticeIds;
	}

	public String getReceiveId() {
		return receiveId;
	}

	public void setReceiveId(String receiveId) {
		this.receiveId = receiveId;
	}

	public String getReceiveName() {
		return receiveName;
	}

	public void setReceiveName(String receiveName) {
		this.receiveName = receiveName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}
}
